package wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseHeaderBean;

public class HrmAdvSettleHdrBean extends BaseHeaderBean implements Serializable {
  private String employeeNumber;
  
  private String employeeName;
  
  private String firstName;
  
  private String middleName;
  
  private String lastName;
  
  private String designation;
  
  private String advanceCode;
  
  private String dateApplied;
  
  private String fromDate;
  
  private String toDate;
  
  private String amountApplied;
  
  private String settleAmount;
  
  private String noOfIns;
  
  private String reason;
  
  private String employeeId;
  
  String advanceCodeId;
  
  private String grade;
  
  private String location;
  
  private String balance;
  
  private String recoveredAmount;
  
  private String paidInstallments;
  
  private String sanctionedDate;
  
  private String sanctionedAmount;
  
  private String settleId;
  
  public String getEmployeeNumber() {
    return this.employeeNumber;
  }
  
  public void setEmployeeNumber(String newEmployeeNumber) {
    this.employeeNumber = newEmployeeNumber;
  }
  
  public String getEmployeeName() {
    return this.employeeName;
  }
  
  public void setEmployeeName(String newEmployeeName) {
    this.employeeName = newEmployeeName;
  }
  
  public String getFirstName() {
    return this.firstName;
  }
  
  public void setFirstName(String newFirstName) {
    this.firstName = newFirstName;
  }
  
  public String getMiddleName() {
    return this.middleName;
  }
  
  public void setMiddleName(String newMiddleName) {
    this.middleName = newMiddleName;
  }
  
  public String getLastName() {
    return this.lastName;
  }
  
  public void setLastName(String newLastName) {
    this.lastName = newLastName;
  }
  
  public String getDesignation() {
    return this.designation;
  }
  
  public void setDesignation(String newDesignation) {
    this.designation = newDesignation;
  }
  
  public String getAdvanceCode() {
    return this.advanceCode;
  }
  
  public void setAdvanceCode(String newAdvanceCode) {
    this.advanceCode = newAdvanceCode;
  }
  
  public String getDateApplied() {
    return this.dateApplied;
  }
  
  public void setDateApplied(String newDateApplied) {
    this.dateApplied = newDateApplied;
  }
  
  public String getFromDate() {
    return this.fromDate;
  }
  
  public void setFromDate(String newFromDate) {
    this.fromDate = newFromDate;
  }
  
  public String getToDate() {
    return this.toDate;
  }
  
  public void setToDate(String newToDate) {
    this.toDate = newToDate;
  }
  
  public String getAmountApplied() {
    return this.amountApplied;
  }
  
  public void setAmountApplied(String newAmountApplied) {
    this.amountApplied = newAmountApplied;
  }
  
  public String getSettleAmount() {
    return this.settleAmount;
  }
  
  public void setSettleAmount(String newSettleAmount) {
    this.settleAmount = newSettleAmount;
  }
  
  public String getNoOfIns() {
    return this.noOfIns;
  }
  
  public void setNoOfIns(String newNoOfIns) {
    this.noOfIns = newNoOfIns;
  }
  
  public String getReason() {
    return this.reason;
  }
  
  public void setReason(String newReason) {
    this.reason = newReason;
  }
  
  public String getEmployeeId() {
    return this.employeeId;
  }
  
  public void setEmployeeId(String newEmployeeId) {
    this.employeeId = newEmployeeId;
  }
  
  public String getAdvanceCodeId() {
    return this.advanceCodeId;
  }
  
  public void setAdvanceCodeId(String newAdvanceCodeId) {
    this.advanceCodeId = newAdvanceCodeId;
  }
  
  public String getGrade() {
    return this.grade;
  }
  
  public void setGrade(String newGrade) {
    this.grade = newGrade;
  }
  
  public String getLocation() {
    return this.location;
  }
  
  public void setLocation(String newLocation) {
    this.location = newLocation;
  }
  
  public String getBalance() {
    return this.balance;
  }
  
  public void setBalance(String newBalance) {
    this.balance = newBalance;
  }
  
  public String getRecoveredAmount() {
    return this.recoveredAmount;
  }
  
  public void setRecoveredAmount(String newRecoveredAmount) {
    this.recoveredAmount = newRecoveredAmount;
  }
  
  public String getPaidInstallments() {
    return this.paidInstallments;
  }
  
  public void setPaidInstallments(String newPaidInstallments) {
    this.paidInstallments = newPaidInstallments;
  }
  
  public String getSanctionedDate() {
    return this.sanctionedDate;
  }
  
  public void setSanctionedDate(String newSanctionedDate) {
    this.sanctionedDate = newSanctionedDate;
  }
  
  public String getSanctionedAmount() {
    return this.sanctionedAmount;
  }
  
  public void setSanctionedAmount(String newSanctionedAmount) {
    this.sanctionedAmount = newSanctionedAmount;
  }
  
  public String getSettleId() {
    return this.settleId;
  }
  
  public void setSettleId(String newSettleId) {
    this.settleId = newSettleId;
  }
}
